> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beacon Chain Withdrawals by Address

> Retrieves beacon chain withdrawal transactions made to a specified address.

export const chain = '1';

<Warning>
  **Effective July 1, 2026**, the maximum records returned per request will be reduced from 10,000 to 1,000 for Free tier API users. See the full list of [affected endpoints](https://docs.etherscan.io/changelog#upcoming-change-reduced-maximum-records-per-request-on-the-free-api-tier).
</Warning>

### Query Parameters

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, eg `1` for Ethereum, `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="txsBeaconWithdrawal" type="string">
  Set to `txsBeaconWithdrawal` for this endpoint.
</ParamField>

<ParamField query="address" default="0xB9D7934878B5FB9610B3fE8A5e441e8fad7E293f" type="string">
  Address to check for beacon withdrawals.
</ParamField>

<ParamField query="startblock" default="0" type="integer">
  Starting block number to search from.
</ParamField>

<ParamField query="endblock" default="999999999" type="integer">
  Ending block number to search to.
</ParamField>

<ParamField query="page" default="1" type="integer">
  Page number for pagination.
</ParamField>

<ParamField query="offset" default="100" type="integer">
  Number of records per page. Use the `page` parameter for subsequent records.
</ParamField>

<ParamField query="sort" default="asc" type="string">
  Sort order either `desc` for the latest transactions first or `asc` for the oldest transactions first.
</ParamField>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "withdrawalIndex": "13",
        "validatorIndex": "117823",
        "address": "0xb9d7934878b5fb9610b3fe8a5e441e8fad7e293f",
        "amount": "3402931175",
        "blockNumber": "17034877",
        "timestamp": "1681338599"
      }
    ]
  }
  ```
</ResponseExample>
